Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.impl
Class MetadataFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.xds.metadata.impl.MetadataFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, MetadataFactory

    public class MetadataFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MetadataFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.xds.metadata.MetadataFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MetadataFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertAvailabilityStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertAvailabilityStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertOidExtensionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertOidToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertParentDocumentRelationshipTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertParentDocumentRelationshipTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertUuidToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AuthorType` | `createAuthorType()`
`AvailabilityStatusType` | `createAvailabilityStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`AvailabilityStatusType` | `createAvailabilityStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`CodedMetadataType` | `createCodedMetadataType()`
`DocumentEntryType` | `createDocumentEntryType()`
`DocumentRoot` | `createDocumentRoot()`
`FolderType` | `createFolderType()`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`InternationalStringType` | `createInternationalStringType()`
`LocalizedStringType` | `createLocalizedStringType()`
`MultipleDocumentSetType` | `createMultipleDocumentSetType()`
`java.lang.String` | `createOidExtensionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createOidFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ParentDocumentRelationshipType` | `createParentDocumentRelationshipTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ParentDocumentRelationshipType` | `createParentDocumentRelationshipTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ProvideAndRegisterDocumentSetType` | `createProvideAndRegisterDocumentSetType()`
`SubmissionSetType` | `createSubmissionSetType()`
`java.lang.String` | `createUuidFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`MetadataPackage` | `getMetadataPackage()`
`static MetadataPackage` | `getPackage()` Deprecated.
`static MetadataFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MetadataFactoryImpl

    public MetadataFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static MetadataFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAuthorType

    public AuthorType createAuthorType()

  Specified by:
    `createAuthorType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Author Type'.

### createCodedMetadataType

    public CodedMetadataType createCodedMetadataType()

  Specified by:
    `createCodedMetadataType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Coded Metadata Type'.

### createDocumentEntryType

    public DocumentEntryType createDocumentEntryType()

  Specified by:
    `createDocumentEntryType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Document Entry Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `MetadataFactory`
  Returns:
    a new object of class 'Document Root'.

### createFolderType

    public FolderType createFolderType()

  Specified by:
    `createFolderType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Folder Type'.

### createInternationalStringType

    public InternationalStringType createInternationalStringType()

  Specified by:
    `createInternationalStringType` in interface `MetadataFactory`
  Returns:
    a new object of class 'International String Type'.

### createLocalizedStringType

    public LocalizedStringType createLocalizedStringType()

  Specified by:
    `createLocalizedStringType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Localized String Type'.

### createMultipleDocumentSetType

    public MultipleDocumentSetType createMultipleDocumentSetType()

  Specified by:
    `createMultipleDocumentSetType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Multiple Document Set Type'.

### createProvideAndRegisterDocumentSetType

    public ProvideAndRegisterDocumentSetType createProvideAndRegisterDocumentSetType()

  Specified by:
    `createProvideAndRegisterDocumentSetType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Provide And Register Document Set Type'.

### createSubmissionSetType

    public SubmissionSetType createSubmissionSetType()

  Specified by:
    `createSubmissionSetType` in interface `MetadataFactory`
  Returns:
    a new object of class 'Submission Set Type'.

### createAvailabilityStatusTypeFromString

    public AvailabilityStatusType createAvailabilityStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertAvailabilityStatusTypeToString

    public java.lang.String convertAvailabilityStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

### createParentDocumentRelationshipTypeFromString

    public ParentDocumentRelationshipType createParentDocumentRelationshipTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                         java.lang.String initialValue)

### convertParentDocumentRelationshipTypeToString

    public java.lang.String convertParentDocumentRelationshipTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                          java.lang.Object instanceValue)

### createAvailabilityStatusTypeObjectFromString

    public AvailabilityStatusType createAvailabilityStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                               java.lang.String initialValue)

### convertAvailabilityStatusTypeObjectToString

    public java.lang.String convertAvailabilityStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                        java.lang.Object instanceValue)

### createOidFromString

    public java.lang.String createOidFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                java.lang.String initialValue)

### convertOidToString

    public java.lang.String convertOidToString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.Object instanceValue)

### createOidExtensionFromString

    public java.lang.String createOidExtensionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertOidExtensionToString

    public java.lang.String convertOidExtensionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createParentDocumentRelationshipTypeObjectFromString

    public ParentDocumentRelationshipType createParentDocumentRelationshipTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                               java.lang.String initialValue)

### convertParentDocumentRelationshipTypeObjectToString

    public java.lang.String convertParentDocumentRelationshipTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                java.lang.Object instanceValue)

### createUuidFromString

    public java.lang.String createUuidFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

### convertUuidToString

    public java.lang.String convertUuidToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                java.lang.Object instanceValue)

### getMetadataPackage

    public MetadataPackage getMetadataPackage()

  Specified by:
    `getMetadataPackage` in interface `MetadataFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static MetadataPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD